<?php
/*------------------------------------------------------------------------
# view.html.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
// import Joomla view library
jimport('joomla.application.component.view');
/**
 * HTML Products View class for the Product advisor Component
 */
class ProductadvisorViewProducts extends JViewLegacy
{
	// Overwriting JView display method
	function display($tpl = null)
	{
		$this->items = $this->get('Items');
		$model = JModelLegacy::getInstance('Product', 'ProductadvisorModel'); 
		foreach($this->items as &$item) {
			$attr = $model->getAttributes($item);
			$item->productattributes = $attr;
		}
		// Check for errors.
		if (count($errors = $this->get('Errors'))){
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		};
		// Display the view
		$this->attributes = ProductadvisorCategoryHelper::getAttributelist(FALSE);
		$this->state = $this->get('State');
		parent::display($tpl);
	}
}
?>